include ../test_defines.mk

TARGET = run_test
TARGET_MODULE = ../modules_under_test/target_module.so
SOURCES += $(wildcard ./*.c)
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o))) 

WRAP_FUNC=-Wl,--wrap=
MOCK_WRAP= amxb_call \
		   amxb_be_who_has \
		   umdns_init \
		   umdns_clean \
		   amxm_execute_function

LDFLAGS += -g $(addprefix $(WRAP_FUNC),$(MOCK_WRAP))

include ../test_targets.mk
